import pygame
#import Image
from pygame.locals import *
import sys, os
import opencv
#this is important for capturing/displaying images
from opencv import highgui 
import colorsys

camera = highgui.cvCreateCameraCapture(0)
def get_image():
    im = highgui.cvQueryFrame(camera)
    # Add the line below if you need it (Ubuntu 8.04+)
    im = opencv.cvGetMat(im)
    #convert Ipl image to PIL image
    return opencv.adaptors.Ipl2PIL(im) 


class CapturarDesdeCam:
    def __init__(self):
        #TODO poder escoger que malla queremos usar
        numMalla = raw_input("1.[2 Fotos] u 2. 6 Fotos: ")
        fps = 30.0
        pygame.init()
        window = pygame.display.set_mode((640,480))
        pygame.display.set_caption("WebCam Demo")
        screen = pygame.display.get_surface()
        if numMalla == "2":
            malla = pygame.image.load("DATOS/malla2.png")    
            cont = 6
            square = pygame.Rect((0,0), (160,160))
            text = "6 Fotos"
            
        else:
            malla = pygame.image.load("DATOS/malla1.png")
            cont = 2
            text = "2 Fotos"
        
        font = pygame.font.Font(os.path.join( "FONT", "Times.ttf" ) , 30)
        cut = 0
        
        while 1:
            events = pygame.event.get()
            for event in events:
                if event.type == KEYDOWN:
                    keyinput = pygame.key.get_pressed()
                    pygame.display.flip()
                    #TODO TODO
                    
                    if keyinput[K_1] or keyinput[K_2] or keyinput[K_3]:
                        if keyinput[K_1]: cut = 442     #diametro del circulo
                        elif keyinput[K_2]: cut = 338
                        elif keyinput[K_3]: cut = 258
                        print cut
                        rect1 = pygame.Rect((640-(640-cut)/2, 480-(480-cut)/2), (640, 480))
                        rect2 = pygame.Rect((0, 0), (0+(640-cut)/2, 0+(480-cut)/2))
                        
                        subScreen = pygame.transform.chop(pg_img, rect1)
                        subSubScreen = pygame.transform.chop(subScreen, rect2)
                        subSubScreen = pygame.transform.flip(subSubScreen, True, False)
                        pygame.display.flip()
                        pygame.image.save(pg_img, "capa%d.png" % cont)
                        cont -= 1
                    
                    elif keyinput[K_RETURN]:
                        pygame.image.save(pg_img, "capa%d.png" % abs(cont-6))
                        cont -=1
                        print "foto", cont

            im = get_image()
            pg_img = pygame.image.frombuffer(im.tostring(), im.size, im.mode)
            pg_img = pygame.transform.flip(pg_img, True, False)
            fuente = font.render(text, True, (255, 255, 0))
            screen.blit(pg_img, (0,0))
            screen.blit(malla, (0,0))
            screen.blit(fuente, (0,0))
            pygame.display.flip()
            pygame.time.delay(int(1000 * 1.0/fps))
            if cont <= 0:
                break

