#!/usr/bin/env python
#-*- coding: iso-8859-15 -*-
import gettext

class Lang:
    def translate(self, lang):
        self.t = gettext.translation('language', 'mo', languages = [lang])
        _ = self.t.gettext
        self.menu = [_("timer"), _("solve"), _("scramble"), _("language <en>"),_("statistic"),\
         _("themes"), _("credits"), _("exit")]
        self.movs = [_("U"), _("U2"), _("U'"), _("D"), _("D2"), _("D'"),\
         _("L"), _("L2"), _("L'"), _("R"), _("R2"), _("R'"), _("F"), _("F2"),\
          _("F'"), _("B"), _("B2"), _("B'")]
        self.click = _("Press Enter to go to main menu")
        self.error1 = _("Error 1: This option isn't in the menu")
        self.error2 = _("invalid move")
        self.error3 = _("No puede haber más de nueve colores de una misma pieza")#TODO traducir
        self.error4 = _("Inserte bien los números")
        self.error5 = _("No puedes hacer la media con mas tiempos de los que tienes")#TODO traducir
        self.press = _("Press Enter")
        self.save = _("Do you want to save your mark?(y/[n])")
        self.select = _("Cube's name: ")
        self.saved = _("Save successful")
        self.yes = [_("yes"), _("y")]
        self.colores = [[_("0. White-->"), 9, (255, 255, 255, 255)],\
         [_("1. Yellow-->"), 9, (255, 255, 0, 255)],\
          [_("2. Orange-->"), 9, (255, 127, 0, 255)],\
           [_("3. Blue-->"), 9, (0, 0, 255, 255)],\
            [_("4. Green-->"), 9, (0, 255, 0, 255)],\
             [_("5. Red-->"), 9, (255, 0, 0, 255)]]
        #TODO esto no se si tendré que traducirlo
        self.credits = _("""\rAutor: Víctor Ramírez de la Corte
        \rTraducción: Catalán por Dídac Martorell(dimartorell@gmail.com)
        \rAgradecimientos: Daniel García, Manuél Albarrán,
        \rDavid Medina, José Antonio Carmona, Juan Jesús ...""")
        
        self.date = _("Time/Date: ")
        self.avg = _("Average of ")
        self.record = _("Your best time is: ") 
        self.time = _("Time: ") 
        self.statistic = _("""
                \r1.[ConsultarTodo]
                \r2.ConsultarMediaDe
                \r3.ConsultarRecord
                \r4.ConsultarTiemposDe

                \rElija Opcion: """)
        self.mediaDe = _("AverageOf(1,2,3,4,[5],...): ")
        self.consulta = _("Quieres hacer otra consulta(y/[n]): ")
        self.insertEsp = _("Inserte el tiempo de espera[5] y pulse SPACE para comenzar: ")
        
lll = Lang()   
lll.translate('en')


################################################################################
######################  AYUDA PARA USAR GETTEXT  ###############################
##crea fichero messages.pot
#   $ pygettext test.py
#
##crea fichero .po  LOCAL, el que se vaya a usar por defecto
#   $ msginit --locale=es --input=messages.po
#
##crea fichero .po para traducir a otro idioma
#   $ msginit -i messages.pot -o en.po
#
##crea fichero .mo para usarlo
#   $ msgfmt es.po -o test.mo
#
##crear carpeta con el idioms y eso
#   $ mkdir -p mo/es/LC_MESSAGES
#
##mover el archivo creado a la carpeta idioma
#   $ mv test.mo mo/es/LC_MESSAGES
#
"""#####EXTRA###EXTRA##EXTRA####"""
#Genera el archivo de plantilla para traducir. Ej: traducir al castellano (es.po)
#    $ msginit -i messages.pot -o es.po
#
#
#Mezclar el fichero de traducciones (.po) con otra plantilla (.pot)
#    $ msgmerge -U es.po messages.pot
#
